package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("menu_recipe_detail")
@ApiModel("菜品计划详情信息")
public class MenuRecipeDetail {
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("菜谱详情id")
   private Long detailId;
   @ApiModelProperty("菜品计划销售类别id(数据同步)")
   private Long saleTypeId;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("启用时间(天)")
   private LocalDate applyDate;
   @ApiModelProperty("餐次类型")
   private Integer mealtimeType;
   @ApiModelProperty("详情类型(1-模板,2-详情)")
   private Integer detailType;
   @ApiModelProperty("启用时间(周)")
   private Integer applyWeek;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getSaleTypeId() {
      return this.saleTypeId;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Integer getDetailType() {
      return this.detailType;
   }

   public Integer getApplyWeek() {
      return this.applyWeek;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setSaleTypeId(final Long saleTypeId) {
      this.saleTypeId = saleTypeId;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setDetailType(final Integer detailType) {
      this.detailType = detailType;
   }

   public void setApplyWeek(final Integer applyWeek) {
      this.applyWeek = applyWeek;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
